Summary: ppp daemon package for linux 1.3.xx and greater
Name: ppp
Version: 2.3.3
Release: 2
Copyright: distributable
Group: Networking/Daemons
Source0: ftp://cs.anu.edu.au/pub/software/ppp/ppp-2.3.3.tar.gz
Source1: ppp-2.3.3-pamd.conf
Patch0: ppp-2.3.3-make.patch
Patch1: ppp-2.3.3-pam.patch
Patch2: ppp-2.3.3-sample.patch
Patch3: ppp-2.3.3-glibc.patch
BuildRoot: /var/tmp/pppd

%description
This is the daemon and documentation for PPP support.  It requires a kernel
greater than 2.0 which is built with PPP support. The default Red Hat
kernels include PPP support as a module.

%changelog
* Wed Jan  7 1998 Cristian Gafton <gafton@redhat.com>
- added the /etc/pam.d config file
- updated PAM patch to include session support

* Tue Jan  6 1998 Cristian Gafton <gafton@redhat.com>
- updated to ppp-2.3.3, build against glibc-2.0.6 - previous patches not
  required any more.
- added buildroot
- fixed the PAM support, which was really, completely broken and against any
  standards (session support is still not here... :-( )
- we build against running kernel and pray that it will work
- added a samples patch; updated glibc patch

* Thu Dec 18 1997 Erik Troan <ewt@redhat.com>
- added a patch to use our own route.h, rather then glibc's (which has 
  alignment problems on Alpha's) -- I only applied this patch on the Alpha,
  though it should be safe everywhere

* Fri Oct 10 1997 Erik Troan <ewt@redhat.com>
- turned off the execute bit for scripts in /usr/doc

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Mar 25 1997 Erik Troan <ewt@redhat.com>
- Integrated new patch from David Mosberger
- Improved description

%prep
%setup 
%patch0 -p1 -b .make
%patch1 -p1 -b .pam
%patch2 -p1 -b .sample
%patch3 -p1 -b .glibc
find . -type f -name "*.sample" | xargs rm -f 

%build
./configure
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $(RPM_BUILD_ROOT)
rm -rf $RPM_BUILD_ROOT
make install TOPDIR=$RPM_BUILD_ROOT

# it shouldn't be SUID root be default
chmod 755 $RPM_BUILD_ROOT/usr/sbin/pppd
strip $RPM_BUILD_ROOT/usr/sbin/chat $RPM_BUILD_ROOT/usr/sbin/pppstats \
	$RPM_BUILD_ROOT/usr/sbin/pppd 
chmod 644 scripts/*
mkdir -p $RPM_BUILD_ROOT/etc/pam.d
install -m 644 $RPM_SOURCE_DIR/ppp-2.3.3-pamd.conf \
	$RPM_BUILD_ROOT/etc/pam.d/ppp

%files
%doc README README.linux scripts sample
/usr/sbin/chat
/usr/man/man8/chat.8
/usr/sbin/pppd
/usr/man/man8/pppd.8
/usr/sbin/pppstats
/usr/man/man8/pppstats.8
%dir /etc/ppp
%config /etc/ppp/chap-secrets
%config /etc/ppp/options
%config /etc/ppp/pap-secrets
%config /etc/pam.d/ppp

%clean
rm -rf $RPM_BUILD_ROOT
